

<div id="stranicaSlanjeZahtevaZaAutorskoPravo">

    <fieldset>
        <h2 id="naslov" style="text-align:center;">Zahtev za autorska i srodna prava</h2>

    </fieldset>
    <br/>
    <br/>
    

    <form id="autorskoPravo"  (ngSubmit)="onSubmit(f)"  #f="ngForm" >

        <div id="podaciOPodnosiocuZahteva">
            
            <fieldset id="tipPodnosiocaZahteva">
                <h3> Podaci o podnosiocu zahteva: </h3>

                Tip podnosioca zahteva: 
                <br/>
                <input
                  type="radio" id="one" class="radio" name="podnosilacTipDugmic"
                  value="FIZICKO_LICE"
                  (change) = handleChangeRadioButton($event)
                  required
                />
                Fizicko lice <br />
                <input
                  type="radio" id="two" class="radio" name="podnosilacTipDugmic"
                  value="PRAVNO_LICE"
                  (change) = handleChangeRadioButton($event)
                  required
                />
                Pravno lice <br />
                
                
                <div *ngIf="selektovanTipPodnosiocaFizickoLice==true">
                    <p>Podaci o fizickom licu podnosiocu zahteva: </p>
                    
                    <div class="kontejnerForma">
                        <div class="podkontejner" id="prviPod">
                            <label for="imeFizickoLicePodnosilac">Ime:</label>  <br>
                            <input  type="text" name="imeFizickoLicePodnosilac" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.fizickoLice.ime" class="inputDvoredi"/> 
                        </div>

                        <div class="podkontejner" id="drugiPod">
                            <label for="prezimeFizickoLicePodnosilac">Prezime:</label> <br>
                            <input  type="text" name="prezimeFizickoLicePodnosilac"[(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.fizickoLice.prezime" class="inputDvoredi"/>
                        </div>

                        <div class="podkontejner" id="treciPod">
                            <label for="drzavljanstvoFizickoLicePodnosilac">Drzavljanstvo:</label> <br>
                            <input type="text" name="drzavljanstvoFizickoLicePodnosilac" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.fizickoLice.drzavljanstvo" class="inputDvoredi"/>
                        </div>

                        <div class="podkontejner" id="cetvrtiPod">
                            <label for="tipPodnsoiocaZateva">Tip podnsioca zahteva: </label> <br>
                            
                            <select  name="tipPodnsoiocaZateva" [(ngModel)]="izabraniTipPodnosiocaZahteva" class="inputSelect">
                                <option  selected [ngValue]="" > --Select--</option>
                                <option  name="opcija" *ngFor="let t of tipoviPodnosilacaZahteva"
                                    [ngValue]="t">
                                    {{t}}
                                </option>
                                
                            </select>
                        </div>
                    </div>

                    <br/>
                    <br/>
                    <div class="kontejnerForma">

                        <div class="podkontejner" id="prviPod">
                            <label for="mestoFizickoLicePodnosilac">Mesto:</label> <br>
                            <input type="text" name="mestoFizickoLicePodnosilac" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.fizickoLice.adresa.mesto" class="inputDvoredi"/>
                        </div>
                        <div class="podkontejner" id="drugiPod">
                            <label for="adresaFizickoLicePodnosilac">Adresa: </label> <br>
                            <input type="text" name="adresaFizickoLicePodnosilac" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.fizickoLice.adresa.ulica" class="inputDvoredi"/>
                        </div>

                        <div class="podkontejner" id="treciPodAdresa">
                            <label for="brojFizickoLicePodnosilac">Broj ulice:</label> <br>
                            <input type="text" name="brojFizickoLicePodnosilac" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.fizickoLice.adresa.broj" class="inputDvorediMali"/>
                        </div>

                        <div class="podkontejner" id="cetvrtiPodAdresa">
                            <label for="postanskiBrojFizickoLicePodnosilac">Postanski broj: </label> <br>
                            <input type="text" name="postanskiBrojFizickoLicePodnosilac" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.fizickoLice.adresa.postanskiBroj" class="inputDvorediMali"/> <!--promeniti da bude select tipa polje-->
                        </div>                        
                    </div>
                </div>
                <div *ngIf="selektovanTipPodnosiocaPravnoLice==true">
                    <p> Podaci o pravnom licu podnosiocu zahteva: </p>

                    <div class="kontejnerForma">

                        <div class="podkontejner" id="prviPodCeo">
                            <label for="pravnoLicePoslovnoIme">Poslovno ime:</label>
                            <input type="text" name="pravnoLicePoslovnoIme" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.pravnoLice.poslovnoIme" class="inputDvoredi"/>
                        </div>

                        <div class="podkontejner">
                            <p>Podaci o sedistu organizacije: </p>

                            <div class="podkontejner" id="prviPod">
                                <label>Mesto: </label>
                                <input type="text" name="mestoOrganizacijePravnoLice" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.pravnoLice.adresaSedistaOrganizacije.mesto" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="drugiPod">
                                <label>Adresa:</label>
                                <input type="text" name="adresaOrganizacijePravnoLice" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.pravnoLice.adresaSedistaOrganizacije.ulica" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="treciPodAdresa">
                                <label>Broj: </label>
                                <input type="text" name="brojAdresaOrganizacijePravnoLice" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.pravnoLice.adresaSedistaOrganizacije.broj" class="inputDvorediMali"/>
                            </div>

                            <div class="podkontejner" id="cetvrtiPodAdresa">
                                <label>Postanski broj: </label>
                                <input type="text" name="postanskiBrojOrganizacijePravnoLice" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.pravnoLice.adresaSedistaOrganizacije.postanskiBroj" class="inputDvorediMali"/>
                            </div>

                        </div>
                    </div>
                    <br>
                </div>
                <br>
                <br/>
                <br/>
                <br/>
                <br/>
                <br/>
                
                <div class="kontejnerForma">
                    <div class="podkontejner" id="prviPod">
                        <label for="emailPodnosilac">E-mail: </label><br>
                        <input type="text" name="emailPodnosilac"  [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.email" class="inputDvoredi"/>
                    </div> 
                    <div class="podkontejner" id="drugiPod">
                        <label for="brojTelefonaPodnosioca">Broj telefona:</label><br>
                        <input type="text" name="brojTelefonaPodnosioca"  [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.brojTelefona" class="inputDvoredi"/>
                    </div>   
                </div>

                <br/>
                <br/>
                <br/>
                <br/>
                <p>Podaci o punomocniku: </p>
                <div class="kontejnerForma">
                    
                    <div class="podkontejner" id="prviPod">
                        <label for="imePunomocnika">Ime punomocnika: </label> <br>
                        <input type="text" name="imePunomocnika" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.punomocnik.ime" class="inputDvoredi"/>
                    </div>
                    <div class="podkontejner" id="drugiPod">
                        <label for="prezimePunomocnika">Prezime punomocnika: </label> <br>
                        <input type="text" name="prezimePunomocnika" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.punomocnik.prezime" class="inputDvoredi"/>
                    </div>
                    <br/>
                    <br/>
                    <br/>
                    <br/>
                    <div class="podkontejner" id="prviPod">
                        <label for="mestoPunomocnik">Mesto: </label><br>
                        <input type="text" name="mestoPunomocnik"  [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.punomocnik.adresaPunomocnika.mesto" class="inputDvoredi"/>
                    </div>

                    <div class="podkontejner" id="drugiPod">
                        <label for="adresaPunomocnik">Adresa:</label> <br>
                        <input type="text" name="adresaPunomocnik" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.punomocnik.adresaPunomocnika.ulica" class="inputDvoredi"/>
                    </div>

                    <div class="podkontejner" id="treciPodAdresa">
                        <label for="brojAdresaPunomocnik">Broj: </label>
                        <input type="text" name="brojAdresaPunomocnik" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.punomocnik.adresaPunomocnika.broj" class="inputDvorediMali"/>
                    </div>

                    <div class="podkontejner" id="cetvrtiPodAdresa">
                        <label for="postanskiBrojPunomocnik">Postanski broj: </label>
                        <input type="text" name="postanskiBrojPunomocnik" [(ngModel)]="autorskoPravo.podaci_o_podnosiocu_zahteva.punomocnik.adresaPunomocnika.postanskiBroj" class="inputDvorediMali"/>
                    </div>
                </div>
                <br/>
                <br/>
                <br/>
                <br/>

                <div class="kontejnerForma">
                    <div>
                        <label for="potpisao">Potpisao: </label> <br>
                        <select name="potpisao" [ngModel]="potpisnikZahteva" class="inputSelect" (change)="koJePotpisaoZahtev($event)">
                            <option disabled [ngValue]=""></option>
                            <option *ngFor="let k of koJePotpisao" [ngValue]="k">
                                {{k}}
                            </option>
                        </select>
                        
                    </div>
                </div>
            </fieldset>

            <br/>
            <br/>
            <fieldset>
                <h3>Podaci o autorskom delu: </h3>

                <div class="kontejnerForma">
                    <div class="podkontejner" id="prviPod">
                        <label for="naslovDela">Naslov autorskog dela: </label> <br>
                        <input type="text" name="naslovDela" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.naslovDela" class="inputDvoredi"/>
                    </div>

                    <div class="podkontejner" id="drugiPod">
                        <label for="alternativniNaslov">Alternativni naslov autorskog dela: </label><br>
                        <input type="text" name="alternativniNaslov" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.alternativniNaslovDela" class="inputDvoredi"/>
                    </div>

                    <div class="podkontejner" id="treciPod">
                        <label for="izabranaVrstaDela">Vrsta dela: </label> <br>
                        <select name="izabranaVrstaDela" [ngModel]="vrsteDelaIzb" class="inputSelect" (change)="changeIzabraneVrsteDela($event)">
                            <option selected [ngValue]=""></option>
                            <option *ngFor="let k of vrsteDelaIzb" [ngValue] = "k">
                                {{k}}
                            </option>
                        </select>
                    </div>

                    <div class="podkontejner" id="cetvrtiPod">
                        <label for="izabranaVrstaDela">Tip dela: </label> <br>
                        <select name="izabranaVrstaDela" [ngModel]="tipVrsteDela" class="inputSelect" (change)="changeIzabraniTipVrsteDela($event)">
                            <option selected [ngValue]=""></option>
                            <option *ngFor="let k of tipVrsteDela" ng-value="k">
                                {{k}}
                            </option>
                        </select>
                    </div>

                </div>

                <br>
                <br>
                <br>
                <div class="kontejnerForma">
                    <h4>Zasnovano na delu prerade: </h4>
                    <div class="podkontejner" id="prviPod">
                        <label for="naslovDelaNaKomeSeZasniva"> Naslov dela na kome se zasniva: </label> <br>
                        <input type="text" name="naslovDelaNaKomeSeZasniva" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.deloNaKomeSeZasniva.naslovDelaNaKomeSeZasniva" class="inputDvoredi"/>
                    </div>
                    <br>
                    <br>

                    <h4>Autori izvornog(zasnovanog) dela: </h4>
                    <div class="noviKontejner" id="drugiPod">
                        <p>Da li je autor ziv? </p>
                    
                        <input
                        type="radio" id="autorTipZiv" class="radio" name="zivAutorDugmic"
                        value="zivAutor"
                        [checked]=""
                        (change) = handleChangeZivAutorDugme($event)
                        required
                        />
                        Ziv autor<br />
                        <input
                        type="radio" id="autorTipMrtav" class="radio" name="mrtavAutorDugmic"
                        value="mrtavAutor"
                        (change) = handleChangeZivAutorDugme($event)
                        required
                        />
                        Mrtav autor <br/>

                        <!-- ako je autor ziv unosimo specificne podatke o njemu-->
                        
                        <div  *ngIf="kliknutoDugmeZivAutor==true">
                            <p>Prikaz forme za zivog autora..</p>

                            <div class="podkontejner" id="prviPod">
                                <label for="autorIzvoniIme">Ime: </label> <br>
                                <input type="text" name="autorIzvoniIme" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="drugiPod"> 
                                <label for="autorIzvorniPrezime">Prezime: </label> <br>
                                <input type="text" name="autorIzvorniPrezime" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="treciPod">
                                <label for="autorIzvorniDrzavljanstvo">Drzavljanstvo: </label> <br>
                                <input type="text" name="autorIzvorniDrzavljanstvo" class="inputDvoredi"/>
                            </div>

                            <br/>
                            <br/>
                            <br/>
                            <br/>
                            <div class="nova">
                                <div class="podkontejner" id="prviPod">
                                    <label for="mestoIzvorniAutor">Mesto: </label><br>
                                    <input type="text" name="mestoIzvorniAutor" class="inputDvoredi"/>
                                </div>
            
                                <div class="podkontejner" id="drugiPod">
                                    <label for="adresaIzvorniAutor">Adresa:</label> <br>
                                    <input type="text" name="adresaIzvorniAutor" class="inputDvoredi"/>
                                </div>
            
                                <div class="podkontejner" id="treciPodAdresa">
                                    <label for="brojAdresaIzvorniAutor">Broj: </label>
                                    <input type="text" name="brojAdresaIzvorniAutor" class="inputDvorediMali"/>
                                </div>
            
                                <div class="podkontejner" id="cetvrtiPodAdresa">
                                    <label for="postanskiBrojIzvorniAutor">Postanski broj: </label>
                                    <input type="text" name="postanskiBrojIzvorniAutor" class="inputDvorediMali"/>
                                </div>
                            </div>
                            <br>
                            <br>
                            <br>
                            <br>

                            <div class="podkontejner" id="prviPod">
                                <label>Da li je autor anoniman?</label>
                                <br/>
                                <input
                                type="radio" id="one" class="radio" name="anonimanAutor"
                                value="anoniman"
                                required
                                />
                                Da<br />
                                <input
                                type="radio" id="two" class="radio" name="nijeAnonimanAutor"
                                value="nijeAnoniman"
                                required
                                />
                                Ne <br/>

                            </div>

                            
                        </div>

                        <!-- ako je autor mrtav >>unosimo sledece podatke-->
                        <div  *ngIf="kliknutoDugmeZivAutor==false">
                            <p>Prikaz forme za mrtvog autora...</p>

                            <div class="podkontejner" id="prviPod">
                                <label for="autorIzvoniImePreminuo">Ime: </label> <br>
                                <input type="text" name="autorIzvoniImePreminuo" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="drugiPod"> 
                                <label for="godSmrtiIzvorniAutor">GodinaSmrti: </label> <br>
                                <input type="text" name="godSmrtiIzvorniAutor" class="inputDvoredi"/>
                            </div>

                            <br>
                            <br>
                            <br>
                            <br>
                            <div class="podkontejner" id="prviPod">
                                <label>Da li je autor anoniman?</label>
                                <br/>
                                <input
                                type="radio" id="one" class="radio" name="anonimanAutor"
                                value="anoniman"
                                
                                />
                                Da<br />
                                <input
                                type="radio" id="two" class="radio" name="nijeAnonimanAutor"
                                value="nijeAnoniman"
                                
                                />
                                Ne <br/>

                            </div>
                        </div>
                        <br>
                        <br>
                        <br>
                        <br>

                        <div class="novi">
                            <div class="podkontejner" id="prviPod">
                                <label for="znakIzvornogAutora">Znak autora izvornog dela: </label> <br>
                                <input type="text" class="inputDvoredi" name="znakIzvornogAutora"/>
                            </div>

                            <div class="podkontejner" id="drugiPod">
                                <label for="pseudonimIzvornogAutora">Pseudonim autora izvornog dela: </label> <br>
                                <input type="text" class="inputDvoredi" name="pseudonimIzvornogAutora"/>
                            </div>
                            
                        </div>

                    </div>
                    <br>
                    <br>
                    <br>

                    <div>
                        <div class="podkontejner" id="prviPod">
                            <label for="nacinKoriscenjaDela"> Nacin koriscenja dela:</label>
                            <input type="text" class="inputDvoredi" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.nacinKoriscenjaDela" name="nacinKoriscenjaDela"/>
                        </div>

                        <div class="podkontejner" id="drugiPod">
                            <label for="formaZapisaDela">Forma zapisa dela: </label> <br>
                            <select name="izabranaFormaZapisaDela" [ngModel]="formeZapisaDela" class="inputSelect" (change)="changeIzabranaFormaZapisaDela($event)">
                                <option selected [ngValue]=""></option>
                                <option *ngFor="let k of formeZapisaDela" [ngValue] = "k">
                                    {{k}}
                                </option>
                            </select>
                            
                        </div>

                        <div class="podkontejner" id="treciPod">
                            <label for="stvorenoURadnomOdnosuDali">Da li je stvoreno u radnom odnosu: </label> <br>
                            <select name="nastaloURadnomOdnosu" [ngModel]="deloNastaloURadnomOdnosu" class="inputSelect" (change)="changeIzabraniRadniOdnos($event)">
                                <option selected [ngValue]=""></option>
                                <option *ngFor="let k of deloNastaloURadnomOdnosu" [ngValue]="k">
                                    {{k}}
                                </option>
                            </select>
                        </div>

                    </div>

                </div>
            </fieldset>

                <br/>
                <br/>
                

            <fieldset>
                <h3>Podaci o autorima dela: </h3>
                <div class="kontejnerForma">

                    <!--dodaj koju ulogu ima autor ili koautor-->
                    <!--napravi dugme za dodavanje autora dodaj-->

                    Tip uloge: 
                    <br/>
                    <input
                    type="radio" id="one" class="radio" name="tipAutoraAutor"
                    value="AUTOR"
                    (change)="izabranaUlogaAutora($event)"
                    [checked]="izabranAutorDela"
                    />
                    Autor <br />
                    <input
                    type="radio" id="two" class="radio" name="tipAutoraKoautor"
                    value="KOAUTOR"
                    (change)="izabranaUlogaAutora($event)"
                    [checked]="izabranKoautorDela"
                    
                    />
                    Koautor <br />
                    
                    <div class="noviKontejner" id="drugiPod">
                        <p>Da li je autor/koautor ziv? </p>
                    
                        <input
                        type="radio" id="one" class="radio" name="zivAutorDugmic"
                        value="zivAutor"
                        (change) = handleChangeZivAutorUnosDugme($event)
                        [checked]="autorJeZiv"
                        />
                        Ziv autor<br />
                        <input
                        type="radio" id="two" class="radio" name="mrtavAutorDugmic"
                        value="mrtavAutor"
                        (change) = handleChangeZivAutorUnosDugme($event)
                        [checked]="autorJeMrtav"
                        />
                        Mrtav autor <br/>

                        <!-- ako je autor ziv unosimo specificne podatke o njemu-->
                        
                        <div  *ngIf="autorJeZiv==true">
                            <p>Prikaz forme za zivog autora..</p>

                            <div class="podkontejner" id="prviPod">
                                <label for="autorIme">Ime: </label> <br>
                                <input type="text" name="autorIme" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.zivAutor.ime" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="drugiPod"> 
                                <label for="autorPrezime">Prezime: </label> <br>
                                <input type="text" name="autorPrezime" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.zivAutor.prezime" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="treciPod">
                                <label for="autorDrzavljanstvo">Drzavljanstvo: </label> <br>
                                <input type="text" name="autorDrzavljanstvo" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.zivAutor.drzavljanstvo" class="inputDvoredi"/>
                            </div>

                            <br/>
                            <br/>
                            <br/>
                            <br/>
                            <div class="nova">
                                <div class="podkontejner" id="prviPod">
                                    <label for="mestoAutor">Mesto: </label><br>
                                    <input type="text" name="mestoAutor" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.zivAutor.adresaAutora.mesto" class="inputDvoredi"/>
                                </div>
            
                                <div class="podkontejner" id="drugiPod">
                                    <label for="adresaAutor">Adresa:</label> <br>
                                    <input type="text" name="adresaAutor" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.zivAutor.adresaAutora.ulica" class="inputDvoredi"/>
                                </div>
            
                                <div class="podkontejner" id="treciPodAdresa">
                                    <label for="brojAdresaAutor">Broj: </label>
                                    <input type="text" name="brojAdresaAutor" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.zivAutor.adresaAutora.broj" class="inputDvorediMali"/>
                                </div>
            
                                <div class="podkontejner" id="cetvrtiPodAdresa">
                                    <label for="postanskiBrojAutor">Postanski broj: </label>
                                    <input type="text" name="postanskiBrojAutor" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.zivAutor.adresaAutora.postanskiBroj" class="inputDvorediMali"/>
                                </div>
                            </div>
                            <br>
                            <br>
                            <br>
                            <br>

                            <div class="podkontejner" id="prviPod">
                                <label>Da li je autor anoniman?</label>
                                <br/>
                                <input
                                type="radio" id="one" class="radio" name="anonimanAutor"
                                value="anoniman"
                                (ngChange)="daLiJeAnonimanAutor($event)"
                                />
                                Da<br />
                                <input
                                type="radio" id="two" class="radio" name="nijeAnonimanAutor"
                                value="nijeAnoniman"
                                (ngChange)="daLiJeAnonimanAutor($event)"
                                />
                                Ne <br/>

                            </div>

                            
                        </div>

                        <!-- ako je autor mrtav >>unosimo sledece podatke-->
                        <div  *ngIf="autorJeMrtav==true">
                            <p>Prikaz forme za mrtvog autora...</p>

                            <div class="podkontejner" id="prviPod">
                                <label for="autorImePreminuo">Ime: </label> <br>
                                <input type="text" name="autorImePreminuo" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.preminuoAutor.ime" class="inputDvoredi"/>
                            </div>

                            <div class="podkontejner" id="drugiPod"> 
                                <label for="godSmrtiAutor">GodinaSmrti: </label> <br>
                                <input type="text" name="godSmrtiAutor" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.preminuoAutor.godinaSmrti" class="inputDvoredi"/>
                            </div>

                            <br>
                            <br>
                            <br>
                            <br>
                            <div class="podkontejner" id="prviPod">
                                <label>Da li je autor anoniman?</label>
                                <br/>
                                <input
                                type="radio" id="one" class="radio" name="anonimanAutor"
                                value="anoniman"
                                (change)="daLiJeAnonimanAutor($event)"
                                [checked]="jesteAnoniman"
                                />
                                Da<br />
                                <input
                                type="radio" id="two" class="radio" name="nijeAnonimanAutor"
                                value="nijeAnoniman"
                                (change)="daLiJeAnonimanAutor($event)"
                                [checked]="nijeAnoniman"
                                />
                                Ne <br/>

                            </div>
                        </div>
                        <br>
                        <br>
                        <br>
                        <br>

                        <div class="novi">
                            <div class="podkontejner" id="prviPod">
                                <label for="znakAutora">Znak autora  dela: </label> <br>
                                <input type="text" class="inputDvoredi" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.znakAutora" name="znakAutora"/>
                            </div>

                            <div class="podkontejner" id="drugiPod">
                                <label for="pseudonimAutora">Pseudonim autora dela: </label> <br>
                                <input type="text" class="inputDvoredi" [(ngModel)]="autorskoPravo.podaci_o_autorskom_delu.autorDela.pseudonimAutora" name="pseudonimAutora"/>
                            </div>
                            
                        </div>

                    </div>


                    
                </div>

                <button id="autorDodajDugme" (click)="dodajAutora($event)">
                    Dodaj autora
                </button>


                

            </fieldset>

            
                <button class="btn-submit" type="submit">                  
                    POSALJI ZAHTEV ZA AUTORSKO PRAVO
                </button>
        
        </div>

        
        

    </form>
</div>


